Bug 510978 - "Typing Method" configuration doesn't work
"Typing Method" configuration doesn't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus-anthy (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 22:08 EDT by Akira TAGOH
Modified: 2009-09-06 23:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 23:37:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for engine/engine.py (524 bytes, patch)
2009-08-16 22:25 EDT, fujiwara
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2009-07-12 22:08:09 EDT
Description of problem:
Even if changing Typing Method configuration on setup UI, it doesn't effect at all.

Version-Release number of selected component (if applicable):
ibus-1.1.0.20090612-1.fc11.x86_64
ibus-anthy-1.1.0.20090603-1.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1.run ibus-anthy setup UI
2.change Typing Method to Kana
3.restart ibus from menu at systray icon or im-chooser
  
Actual results:
Typing Method is still Romaji

Expected results:
Should be Kana

Additional info:
Comment 1 Jens Petersen 2009-07-12 22:16:49 EDT
I think this is fixed in rawhide.
Comment 2 Akira TAGOH 2009-08-04 05:44:01 EDT
No, it's still there. I can confirm this issue with:

 ibus-1.2.0.20090723-2.fc12.i686
 ibus-anthy-1.2.0.20090617-2.fc12.i686
Comment 3 fujiwara 2009-08-16 22:25:26 EDT
Created attachment 357596 [details]
Patch for engine/engine.py

It seems it's a typo.
Need to use __typing_mode_activate() instead of self.__input_mode_activate().

Note You need to log in before you can comment on or make changes to this bug.